Subject: [netmod] ietf-ipfix-psamp module invalid pattern

From: Michal Vaško <[email-masked]>
Date: Thu, 23 Jun 2016 10:00:23 +0200

Hi,
I noticed that the module ietf-ipfix-psamp from the RFC 6728 contains what is to my understanding an invalid string. This tring represents the pattern for typedefs ieNameType and nameType, they both include "\S" in double-quoted string, which according to RFC 6020 section 6.1.3 should be "\\S".

What is interesting is that on netconf central [1] these patterns are enclosed in single-quotes ('), which makes them valid. However, the revision of that module is the same as the one from the RFC 6728, so they should not differ. Also, pyang loads the invalid module without problem. Nevertheless, when asked to print it in YANG, it encodes the patterns properly, using "\\" for the backslashes.

I would personally welcome an additional sentence in RFC 6020 section 6.1.3 about how backslash with any character following other than n,t,", and \ is an invalid character sequence in a string, it is not directly implied. Still, I believe the pattern is invalid, since "\S" cannot be interpreted as "\S" because that string is encoded in YANG as "\\S".

Regards,
Michal Vasko

[1] http://www.netconfcentral.org/modulereport/ietf-ipfix-psamp

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 23 Jun 2016 10:55:50 +0200

> I would personally welcome an additional sentence in RFC 6020 section 6.1.3 about how backslash with any character following other than n,t,", and \ is an invalid character sequence in a string, it…

Please check out section 6.1.3 of draft-ietf-netmod-rfc6020bis-14.txt [1].

https://datatracker.ietf.org/doc/draft-ietf-netmod-rfc6020bis/

I believe we have clarified this in YANG 1.1. It might be useful to
post an errata for RFC 6728 to enclose the affected pattern into
single quoted strings instead of double quoted strings.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>